#
# spec file for elx-be2iscsi kernel module package 
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugzilla.suse.com/
#
# norootforbuild


Name:           elx-be2iscsi
BuildRequires:  %kernel_module_package_buildreqs
License:        GPL-2.0
Group:          System/Kernel
Summary:        ServerEngines BladeEngine iSCSI Driver 
Version:        11.0.230.0
Release:        5.5
Source0:		%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%kernel_module_package 

%description
This package contains the Linux driver for the iSCSI function of ServerEngines BladeEngine

%package KMP
Summary: ServerEngines BladeEngine iSCSI Driver 
Group: System/Kernel

%description KMP
This package contains the Linux driver for the iSCSI function of the ServerEngines BladeEngine

%prep
%setup -n %{name}-%{version}
set -- *
mkdir source
mv "$@" source/
touch source/Module.supported
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules M=$PWD/obj/$flavor CONFIG_BE2ISCSI=m 
done 

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
        make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
            M=$PWD/obj/$flavor CONFIG_BE2ISCSI=m 
done

%changelog
* Wed Feb  3 2016 poswald@suse.com
- Initial KMP package for be2iscsi version 11.0.232.0
